#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 typst
version:              0.5.0.1
visibility:           public
id:                   typst-0.5.0.1-IQN1LTdCw0RFQ41iSzW3SJ
key:                  typst-0.5.0.1-IQN1LTdCw0RFQ41iSzW3SJ
license:              BSD-3-Clause
copyright:            Copyright 2023 John MacFarlane
maintainer:           jgm@berkeley.edu
author:               John MacFarlane
synopsis:             Parsing and evaluating typst syntax.
description:
    A library for parsing and evaluating typst syntax.
    Typst (<https://typst.app>) is a document layout and
    formatting language. This library targets typst 0.10
    and currently offers only partial support.

category:             Text
abi:                  57faddb40efa9ac9d73dbaf6aa927ce4
exposed:              True
exposed-modules:
    Typst Typst.Evaluate Typst.Methods Typst.Parse Typst.Syntax
    Typst.Types Typst.Util

hidden-modules:
    Typst.Bind Typst.Regex Typst.Show Typst.Module.Standard
    Typst.Module.Math Typst.Module.Calc Typst.MathClass

import-dirs:          /usr/lib/ghc-9.2.8/site-local/typst-0.5.0.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/typst-0.5.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-typst
hs-libraries:         HStypst-0.5.0.1-IQN1LTdCw0RFQ41iSzW3SJ
depends:
    aeson-2.1.2.1-6T3arzxZmxGLR0VNwk73dB array-0.5.4.0 base-4.16.4.0
    bytestring-0.11.4.0 cassava-0.5.3.2-5ozuy9sysOw6ed05oozkMM
    containers-0.6.5.1 directory-1.3.6.2 filepath-1.4.2.2 mtl-2.2.2
    ordered-containers-0.2.4-Lk20rDc5eyj50jqJBq3ndZ parsec-3.1.15.0
    pretty-1.1.3.6 regex-tdfa-1.3.2.2-7CRoAV8RCYTD5cbbr6T8mH
    scientific-0.3.7.0-E54j5jp9j9XA8rATol4HF1 text-1.2.5.0
    time-1.11.1.1 toml-parser-1.3.1.3-GLr26ePlbCA1DHJccyKOCa
    typst-symbols-0.1.5-88gdpZCk9hecvC3Xgy0SF
    vector-0.13.1.0-6G7HaD4XqvmDrN5OhcYDtS
    xml-conduit-1.9.1.4-3KDU4swpSxV1TbWu0CoDKC
    yaml-0.11.11.2-6iaYVyf0uSX5Qgg2wguntl

haddock-interfaces:   /usr/share/doc/haskell-typst/html/typst.haddock
haddock-html:         /usr/share/doc/haskell-typst/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

